<?php

class WP_Widget_Trads extends WP_Widget {

	public function __construct() {
		$widget_ops = array('classname' => 'widget_tr_ads', 'description' => __('Widget to add banners', TR_THEMENAMEOPTIONS));
		$control_ops = array('width' => 400, 'height' => 350);
		parent::__construct('tr-ads', __('TR Ads', TR_THEMENAMEOPTIONS), $widget_ops, $control_ops);
	}

	public function widget( $args, $instance ) {

		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );

		$widget_text = ! empty( $instance['text'] ) ? $instance['text'] : '';

		$text = apply_filters( 'widget_text', $widget_text, $instance, $this );
?>
        <!--<Advertising>-->
        <div class="Dvr">
            <?php echo !empty( $instance['filter'] ) ? wpautop( $text ) : $text; ?>
        </div>
        <!--</Advertising>-->
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field( $new_instance['title'] );
		if ( current_user_can('unfiltered_html') )
			$instance['text'] =  $new_instance['text'];
		else
			$instance['text'] = wp_kses_post( stripslashes( $new_instance['text'] ) );
		return $instance;
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'text' => '<img src="'.get_template_directory_uri().'/img/cnt/dvr.jpg" alt="">' ) );
		$title = sanitize_text_field( $instance['title'] );
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>

		<p><label for="<?php echo $this->get_field_id( 'text' ); ?>"><?php _e( 'Content:' ); ?></label>
		<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"><?php echo esc_textarea( $instance['text'] ); ?></textarea></p>

		<?php
	}
}
